<?php

namespace App\Models\Concerns;

use App\Models\Ecommerce\Channel\Channel;
use Illuminate\Database\Eloquent\Relations\MorphMany;

trait HasEcommerceChannels
{
    /**
     * User ecommerce channels
     */
    public function channels(): MorphMany
    {
        return $this->morphMany(Channel::class, 'channelables');
    }

    /**
     * Get the user's most recent image.
     */
    public function channel(): ?Channel
    {
        return $this->relationLoaded('channels')
                    ? $this->channels->first()
                    : $this->channels()->first();
    }
}
